Cards & Wallets · PaySuite payment page · Customising the payment page
Manage skins for the PaySuite Payment Page
Use this API to upload and edit skins for the PaySuite Payment Page. It is only available to use within the MITE environment. To manage skins in Production, please contact us. The full request and response definitions are on Hosted skin management.
Upload a new skin
Upload a skin with a name
EndpointDefinition
POST /hosted/rest/skins/{instId}/create?name=skin+namecURL
curl -X POST "{targetEnvironmentPath}/hosted/rest/skins/{instId}/create?name=skin+name" \
-u "{apiUser}:{apiPassword}" \
-H "Content-Type: application/zip" \
--data-binary "@skin.zip"Response
HTTP/1.1 201 Created
{
"status": "SUCCESS",
"code": "S100",
"message": "Skin uploaded",
"skin": {
"id": 3100005,
"name": "skin name",
"organisation": "Merchant Name"
}
}Upload a skin with a name and description
EndpointDefinition
POST /hosted/rest/skins/{instId}/create?name=skin+name&description=the+skin+descriptioncURL
curl -X POST "{targetEnvironmentPath}/hosted/rest/skins/{instId}/create?name=skin+name&description=the+skin+description" \
-u "{apiUser}:{apiPassword}" \
-H "Content-Type: application/zip" \
--data-binary "@skin.zip"Response
HTTP/1.1 201 Created
{
"status": "SUCCESS",
"code": "S100",
"message": "Skin uploaded",
"skin": {
"id": 3100006,
"name": "skin name",
"description": "the skin description",
"organisation": "Merchant Name"
}
}Replace a skin
Update a skin file only
EndpointDefinition
PUT /hosted/rest/skins/{skinId}cURL
curl -X PUT "{targetEnvironmentPath}/hosted/rest/skins/{skinId}" \
-u "{apiUser}:{apiPassword}" \
-H "Content-Type: application/zip" \
--data-binary "@skin.zip"Response
HTTP/1.1 200 OK
{
"status": "SUCCESS",
"code": "S100",
"message": "Skin uploaded",
"skin": {
"id": 3100005,
"name": "skin name",
"description": "the skin description",
"organisation": "Merchant Name"
}
}Update a skin with name and description
EndpointDefinition
PUT /hosted/rest/skins/{skinId}?name=new+skin+name&description=new+the+skin+descriptioncURL
curl -X PUT "{targetEnvironmentPath}/hosted/rest/skins/{skinId}?name=new+skin+name&description=new+the+skin+description" \
-u "{apiUser}:{apiPassword}" \
-H "Content-Type: application/zip" \
--data-binary "@skin.zip"Response
HTTP/1.1 200 OK
{
"status": "SUCCESS",
"code": "S100",
"message": "Skin uploaded",
"skin": {
"id": 3100005,
"name": "new skin name",
"description": "new the skin description",
"organisation": "Merchant Name"
}
}Update a skin name and description only
EndpointDefinition
PUT /hosted/rest/skins/{skinId}?name=new+skin+name&description=new+the+skin+descriptioncURL
curl -X PUT "{targetEnvironmentPath}/hosted/rest/skins/{skinId}?name=new+skin+name&description=new+the+skin+description" \
-u "{apiUser}:{apiPassword}" \
-H "Content-Type: application/zip"Response
HTTP/1.1 200 OK
{
"status": "SUCCESS",
"code": "S100",
"message": "Skin uploaded",
"skin": {
"id": 3100005,
"name": "new skin name",
"description": "new the skin description",
"organisation": "Merchant Name"
}
}Notes:
- Omit the request body to leave the uploaded skin file unchanged. The `Content-Type: application/zip` header is still required, otherwise the request is rejected with a `406`.
Download a skin
Download a skin
EndpointDefinition
GET /hosted/rest/skins/{skinId}cURL
curl -X GET "{targetEnvironmentPath}/hosted/rest/skins/{skinId}" \
-u "{apiUser}:{apiPassword}" \
-o skin.zipResponse
HTTP/1.1 200 OK
Content-Type: application/zipNotes:
- The skin zip will be the body of the response.
Retrieve a list of available skins
Retrieve a list of skins
EndpointDefinition
GET /hosted/rest/skins/{instId}/listcURL
curl -X GET "{targetEnvironmentPath}/hosted/rest/skins/{instId}/list" \
-u "{apiUser}:{apiPassword}"Response
HTTP/1.1 200 OK
{
"status": "SUCCESS",
"code": "S100",
"message": "Skins retrieved",
"skins": [
{
"id": 1,
"name": "Access PaySuite Blue",
"organisation": "Access PaySuite"
},
{
"id": 3100005,
"name": "skin name",
"description": "the skin description",
"organisation": "Merchant Name"
}
]
}Notes:
- Returns all skins available to be used on the given installation. This includes the merchant's own skins plus Access PaySuite skins available to everyone.
Delete a skin
Delete a skin
EndpointDefinition
DELETE /hosted/rest/skins/{skinId}cURL
curl -X DELETE "{targetEnvironmentPath}/hosted/rest/skins/{skinId}" \
-u "{apiUser}:{apiPassword}"Response
HTTP/1.1 200 OK
{
"status": "SUCCESS",
"code": "S100",
"message": "Skin deleted"
}